using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// agv状态对照表
    ///</summary>
    [SugarTable("wcs_agv_code_map"), TenantAttribute("wcs")]
    [DataContract(Name = "机器人状态码对应关系表")]
    public class WcsAgvCodeMap
    {
        /// <summary>
        /// 机器人状态码对应关系表
        /// </summary>
        [SugarColumn(ColumnName = "agv_code", IsPrimaryKey = true, ColumnDescription = "主键")]
        public long AgvCode { get; set; }

        [SugarColumn(ColumnName = "agv_status", ColumnDescription = "机器人状态")]
        public string AgvStatus { get; set; }

        [SugarColumn(ColumnName = "agv_status_definition", ColumnDescription = "机器人状态定义说明")]
        public string? AgvStatusDefinition { get; set; }

        [SugarColumn(ColumnName = "agv_display_content", ColumnDescription = "显示屏显示内容")]
        public string? agv_display_content { get; set; }
    }
}